Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.hyperic.hq.product
Class Log4JLogTrackPlugin

    java.lang.Object
      net.hyperic.hq.product.GenericPlugin
          net.hyperic.hq.product.LogTrackPlugin
              net.hyperic.hq.product.LogFileTrackPlugin
                  net.hyperic.hq.product.LogFileTailPlugin
                      net.hyperic.hq.product.Log4JLogTrackPlugin

public class Log4JLogTrackPlugin
extends LogFileTailPlugin

Field Summary

Fields inherited from class net.hyperic.hq.product.LogFileTrackPlugin
`PROP_FILES_PLATFORM, PROP_FILES_SERVER, PROP_FILES_SERVICE`

Fields inherited from class net.hyperic.hq.product.LogTrackPlugin
`LOGLEVEL_DEBUG, LOGLEVEL_DEBUG_LABEL, LOGLEVEL_ERROR, LOGLEVEL_ERROR_LABEL, LOGLEVEL_INFO, LOGLEVEL_INFO_LABEL, LOGLEVEL_WARN, LOGLEVEL_WARN_LABEL`

Fields inherited from class net.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`Log4JLogTrackPlugin()`

Method Summary
`java.lang.String[]` | `getLogLevelAliases()`
`TrackEvent` | `processLine(net.hyperic.sigar.FileInfo info, java.lang.String line)`

Methods inherited from class net.hyperic.hq.product.LogFileTailPlugin
`configure, shutdown`

Methods inherited from class net.hyperic.hq.product.LogFileTrackPlugin
`getConfigSchema, getDefaultLogFile, getFiles, getFilesOption`

Methods inherited from class net.hyperic.hq.product.LogTrackPlugin
`getEnableOption, getLogLevel, getLogLevel, getLogLevelLabel, getLogLevelMap, getLogLevels, getManager, getPatternOption, init, isEnabled, messageMatches, newTrackEvent, newTrackEvent, reportEvent, setEnabled, setLogLevel, shouldDebugLog, shouldLog, stripNewLines, supportsLogLevels, supportsPatternMatching`

Methods inherited from class net.hyperic.hq.product.GenericPlugin
`getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getName, getPlatformName, getPluginClassName, getProductPlugin, getProperties, getProperty, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperty, getTypeProperty, getTypeProperty, isWin32, openResource, setName, setTypeInfo, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Log4JLogTrackPlugin

    public Log4JLogTrackPlugin()

Method Detail

### getLogLevelAliases

    public java.lang.String[] getLogLevelAliases()

  Overrides:
    `getLogLevelAliases` in class `LogTrackPlugin`

### processLine

    public TrackEvent processLine(net.hyperic.sigar.FileInfo info,
                                  java.lang.String line)

  Overrides:
    `processLine` in class `LogFileTailPlugin`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.